<?php
include_once "$_dr/utils/localization.php";
?>
<!DOCTYPE html>
<html>

<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <title><?= $trans('title') ?></title>
    <meta name="author" content="Dendy">

    <!-- Stylesheets -->
    <link rel="stylesheet" href="static/style/reset.css">
    <link rel="stylesheet" href="static/style/main.css">
</head>

<body>
    <div id="title">
        <img src="static/resources/avi.png" />
        <div>
            <h1><?= $trans('title') ?></h1>
            <p><?= $trans('subtitle') ?></p>
        </div>
    </div>

    <nav id="navbar" class="section">
        <ul>
            <li><a href="#"><?= $trans('home') ?></a></li>
            <li><a href="#"><?= $trans('gallery') ?></a></li>
            <li><a href="#"><?= $trans('blog') ?></a></li>
            <li><a href="#"><?= $trans('about') ?></a></li>
        </ul>
        <div id="lang-select">
            LANG:<?php
                    foreach ($langs as $lang) {
                        printf(' <a href="/?lang=%s">%s</a>', $lang, strtoupper($lang));
                    }
                    ?>
        </div>
    </nav>

    <main class="row">
        <div class="column middle">
            <div class="section">
                <header><?= $trans('welcomeHeader') ?></header>
                <?= $trans('welcome') ?>
            </div>

            <div class="section">
                <header><?= $trans('projectsHeader') ?></header>
                <?= $trans('projects') ?>
            </div>
        </div>

        <div id="links" class="column right section">
            <header><?= $trans('links') ?></header>

            <h3><?= $trans('programming') ?></h3>
            <ul>
                <li><a href="https://git.fai.st/dendy"><?= $trans('git') ?></a></li>
            </ul>

            <h3><?= $trans('people') ?></h3>
            <ul>
                <li><a href="https://dusk.fai.st">Dusk</a></li>
                <li><a href="https://yari.fai.st">Yarita</a></li>
                <li><a href="https://lidiarock.one">LidiaRock1</a></li>
                <li><a href="https://sugui.me">Suguivy</a></li>
            </ul>
        </div>

        <div id="contact" class="column right section">
            <header><?= $trans('contact') ?></header>
            <ul>
                <li><a href="https://awoo.fai.st/dendy" target="_blank">Fedi</a></li>
                <li><a href="xmpp:dendy@fai.st">XMPP</a></li>
                <li><a target="_blank" href="https://matrix.to/#/@dendy:fai.st">Matrix</a></li>
                <li><a type="application/pgp-keys" target="_blank" href="https://keys.openpgp.org/vks/v1/by-fingerprint/AB537E17CB430578DBFF75080168B35FFD7F608F">PGP public key</a></li>
            </ul>
        </div>
    </main>

    <div class="section" id="fediring">
        <ul>
            <li><a href="https://fediring.net/previous?host=dendy.cat">&lt;-</a></li>
            <li><a href="https://fediring.net/">Fediring</a></li>
            <li><a href="https://fediring.net/next?host=dendy.cat">-&gt;</a></li>
        </ul>
    </div>

    <div class="section" id="footer">
        <?= $trans('copyright') ?>
    </div>
</body>
